Updates
Updates for one site
GET
Permission: site.view
apiTokenheader
AuthorizationBearer <token>An API token (mwp_…) from Settings → API tokens. Only accepted on this host.
site_id*Site IdFormat
uuidSuccessful Response
application/json- response
success*booleandata*The result; on an error, details such as code and permission.
message*stringstatus_code*integertimestamp*stringFormat
date-timemeta?|nullcurl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/updates"{ "message": "string", "status_code": 0, "timestamp": "2019-08-24T14:15:22Z", "meta": {}, "success": true, "data": { "core": { "version": null, "update_version": null, "update_type": null, "auto_update": true, "last_checked": null }, "plugins": [ { "slug": "string", "file": null, "name": "string", "status": "string", "version": "string", "update_version": null, "has_package": true, "auto_update": true } ], "themes": [ { "slug": "string", "file": null, "name": "string", "status": "string", "version": "string", "update_version": null, "has_package": true, "auto_update": true } ], "wordpress_last_checked": null, "last_read": null, "last_error": null, "checked": true, "counts": { "core": 0, "plugins": 0, "themes": 0, "total": 0 }, "can_check_at": null, "jobs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "read", "status": "queued", "payload": {}, "task_id": null } ] }}